%define packname  qvalue
%define Rversion  2.11.0

Name:             R-%{packname}
Version:          1.22.0
Release:          1%{dist}
Summary:          Q-value estimation for false discovery rate control 

Group:            Applications/Engineering 
License:          LGPLv2+
URL:              http://bioconductor.org/packages/release/bioc/html/qvalue.html
Source0:          http://bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch

Requires:         R-core >= %{Rversion}
BuildRequires:    R-devel >= %{Rversion} tex(latex)

%description
It takes a list of p-values resulting from the simultaneous 
testing of many hypotheses and estimates their q-values. 
The q-value of a test measures the proportion of false positives 
incurred (called the false discovery rate) when that particular 
test is called significant. Various plots are automatically 
generated, allowing one to make sensible significance cut-offs. 
Several mathematical results have recently been shown on the 
conservative accuracy of the estimated q-values from this software. 
The software can be applied to problems in genomics, brain imaging, 
astrophysics, and data mining.

This package is a part of the Bioconductor (bioconductor.org) project.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

sed -i -e 's/\r$//' %{packname}/inst/doc/qvalue.Rnw
sed -i -e 's/\r$//' %{packname}/inst/doc/qvalue.bib
sed -i -e 's/\r$//' %{packname}/inst/doc/qHist.eps
sed -i -e 's/\r$//' %{packname}/inst/doc/pHist.eps
sed -i -e 's/\r$//' %{packname}/inst/doc/qPlots.eps

mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

chmod -x %{buildroot}%{_datadir}/R/library/%{packname}/doc/*

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help


%changelog
* Tue May 11 2010 pingou <pingou@pingoured.fr> 1.22.0-1
- Update to version 1.22.0
- Fix url to a more stable form
- Remove R on post an postun since there are no post/postun

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 1.20.0-1
- Update to 1.20.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0
- Fix BR tex(latex)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 29 2009 pingou <pingou@pingoured.fr> - 1.18.0-1
- Update to Bioconductor 2.4 and R 2.9.0

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.16.0-1
- Update to version 1.16.0

* Tue Jun 25 2008 pingou <pingoufc4-at-yahoo.fr> 1.14.0-3
- Change the url

* Tue May 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.14.0-2
- Rebuild

* Tue May 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.14.0-1
- Update to version 1.14.0

* Tue Jan 08 2008 Pingou <pingoufc4@yahoo.fr> 1.12.0-2
- Fix problem on the doc

* Sat Jan 05 2008 Pingou <pingoufc4@yahoo.fr> 1.12.0-1
- Initial package for Fedora
